WebServicesXmlSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.wsee.WebServicesXmlSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.wsee
Class WebServicesXmlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.wsee.WebServicesXmlSubTask

All Implemented Interfaces:
  Serializable

public class WebServicesXmlSubTask
extends XmlSubTask

SubTask that generates the web-services.xml deployment descriptor.

Version:
  $Revision: 1.3 $
Author:
  Christoph G. Jung (christoph.jung@infor.de)
See Also:
  Serialized Form
ant.element
  display-name="webservices.xml" name="deploymentdescriptor" parent="xdoclet.modules.wsee.WseeDocletTask"
created
  23.12.03

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`protected String` | `description`
`protected String` | `displayName`
`protected String` | `largeIcon`
`protected String` | `name`
`protected String` | `smallIcon` state

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`WebServicesXmlSubTask()` initializes default output location and template names

Method Summary
`protected void` | `engineStarted()` feedback upon engine start
`void` | `execute()` runs the subtask
`String` | `getDescription()` Gets the Description attribute of the WebXmlSubTask object
`String` | `getDisplayName()`
`String` | `getLargeIcon()`
`String` | `getName()`
`String` | `getSmallIcon()`
`void` | `setDescription(String description)` Sets the Description attribute of the WebXmlSubTask object
`void` | `setDisplayName(String string)` set display name
`void` | `setLargeIcon(String string)` set large icon location
`void` | `setName(String string)` set descriptor name
`void` | `setSmallIcon(String string)` set small icon location

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### smallIcon

    protected String smallIcon

  state

### largeIcon

    protected String largeIcon

### displayName

    protected String displayName

### description

    protected String description

### name

    protected String name

Constructor Detail

### WebServicesXmlSubTask

    public WebServicesXmlSubTask()

  initializes default output location and template names

Method Detail

### getDescription

    public String getDescription()

  Gets the Description attribute of the WebXmlSubTask object

  Returns:
    The Description value

### getDisplayName

    public String getDisplayName()

  Returns:
    the display name of the webservice descriptor

### getLargeIcon

    public String getLargeIcon()

  Returns:
    large icon location

### getName

    public String getName()

  Returns:
    id of the descriptor

### getSmallIcon

    public String getSmallIcon()

  Returns:
    small icon location

### setDescription

    public void setDescription(String description)

  Sets the Description attribute of the WebXmlSubTask object

  Parameters:
    `description` - The new Description value

### setDisplayName

    public void setDisplayName(String string)

  set display name

  Parameters:
    `string` - name

### setLargeIcon

    public void setLargeIcon(String string)

  set large icon location

  Parameters:
    `string` - location

### setName

    public void setName(String string)

  set descriptor name

  Parameters:
    `string` - name

### setSmallIcon

    public void setSmallIcon(String string)

  set small icon location

  Parameters:
    `string` - location

### execute

    public void execute()
                 throws XDocletException

  runs the subtask

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  feedback upon engine start

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD